# List vaults

List all vaults within the organization

Endpoint: GET /v2/vaults
Version: 2.0
Security: TokenAuth

## Query parameters:

  - `pageSize` (integer)
    The number of results to return per page (default 50, max 1000)

  - `pageToken` (string)
    The token to retrieve the next page of results

  - `correlationId` (string)
    Correlation ID for tracking various actions on the vault

## Response 200 fields (application/json):

  - `filter` (object)

  - `filter.previousPageToken` (string)
    The token to retrieve the previous page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.nextPageToken` (string)
    The token to retrieve the next page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.total` (integer, required)
    The total number of results
    Example: 100

  - `vaults` (array)

  - `vaults.id` (string, required)
    The vault ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `vaults.createdBy` (string, required)
    The user ID that created the vault
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `vaults.createdAt` (string, required)
    The date and time the vault was created
    Example: "2022-03-29T10:22:22.420Z"

  - `vaults.updatedAt` (string, required)
    The date and time the vault was updated
    Example: "2022-03-29T10:22:22.420Z"

  - `vaults.name` (string, required)
    The name of the vault
    Example: "Treasury vault"

  - `vaults.description` (string)
    The description of the vault
    Example: "A vault used by the treasury department"

  - `vaults.externalId` (string)
    External ID of this vault, unique to the organization
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `vaults.correlationId` (string)
    Correlation ID for the vault
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)


